List disk devices
GET
/disk
const url = 'https://sylve.lan:8181/api/disk?smart=full';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://sylve.lan:8181/api/disk?smart=full' \ --header 'Authorization: <Authorization>'List all disk devices on the system
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”smart
string
S.M.A.R.T. collection mode
Responses
Section titled “Responses”Success
Media typeapplication/json
object
data
Array<object>
object
device
string
gpt
boolean
identityStable
boolean
model
string
partitions
Array<object>
object
name
string
size
integer
usage
string
uuid
string
selfTestLog
object
checksum_valid
boolean
entries
Array<object>
object
lba
integer
lba_valid
boolean
lifetime_hours
integer
nsid
integer
nsid_valid
boolean
remaining_pct
integer
status
string
type
string
in_progress
boolean
progress_pct
integer
serial
string
size
integer
smartData
type
string
usage
string
uuid
string
wearOut
string
error
string
message
string
status
string
Examplegenerated
{ "data": [ { "device": "example", "gpt": true, "identityStable": true, "model": "example", "partitions": [ { "name": "example", "size": 1, "usage": "example", "uuid": "example" } ], "selfTestLog": { "checksum_valid": true, "entries": [ { "lba": 1, "lba_valid": true, "lifetime_hours": 1, "nsid": 1, "nsid_valid": true, "remaining_pct": 1, "status": "example", "type": "example" } ], "in_progress": true, "progress_pct": 1 }, "serial": "example", "size": 1, "smartData": "example", "type": "example", "usage": "example", "uuid": "example", "wearOut": "example" } ], "error": "example", "message": "example", "status": "example"}Bad Request
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Internal Server Error
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}